timeouts:
  job:
    minutes: 130
  connection:
    minutes: 2
context:
  test_character_delay: 10
device_type: dragonboard-410c
job_name: linux-mainline-oe--ltp-quickhit-mainline-741
priority: high
visibility: public
tags:
- old-firmware
metadata:
  git branch: mainline
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
  git commit: v5.4-11180-g76bb8b05960c
  git describe: v5.4-11180-g76bb8b05960c
  make_kernelversion: 5.4-rc8
  kernel-config: http://storage.staging.lkft.org/mainline/master/v5.4-11180-g76bb8b05960c/arm64/defconfig%2Blkft/gcc-8/kernel.config
  kernel-defconfig: http://storage.staging.lkft.org/mainline/master/v5.4-11180-g76bb8b05960c/741/defconfig
  build-url: http://ci.staging.lkft.org/job/kernel-arch-complete/741/
  build-location: http://storage.staging.lkft.org//mainline/master/v5.4-11180-g76bb8b05960c
  toolchain: unknown
  series: lkft
  email-notification: ''
  ltp-quickhit-tests__url: unknown
  ltp-quickhit-tests__version: unknown
  ltp-quickhit-tests__revision: unknown
protocols:
  lava-lxc:
    name: lxc-target
    template: debian
    distribution: debian
    release: buster
    arch: amd64
    mirror: http://deb.debian.org/debian
actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 15
    to: lxc
    packages:
    - wget
    - unzip
    - abootimg
    - android-tools-fsutils
    - cpio
    - curl
    - e2fsprogs
    - file
    - git
    - libguestfs-tools
    - mkbootimg
    - xz-utils
    os: debian
- boot:
    namespace: tlxc
    prompts:
    - root@(.*):/#
    timeout:
      minutes: 5
    method: lxc
- test:
    namespace: tlxc
    timeout:
      minutes: 10
    definitions:
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/android-platform-tools/install.yaml
      name: install-android-platform-tools-r2800
      parameters:
        LINK: https://dl.google.com/android/repository/platform-tools_r28.0.0-linux.zip
- deploy:
    timeout:
      minutes: 40
    to: download
    namespace: target
    images:
      boot:
        url: http://storage.staging.lkft.org/rootfs/oe-lkft-sumo/dragonboard-410c/62/boot--5.2+git0+0ecfebd2b5-r0-dragonboard-410c-20190910203807.img
      kernel:
        url: http://storage.staging.lkft.org/mainline/master/v5.4-11180-g76bb8b05960c/arm64/defconfig%2Blkft/gcc-8/Image
      dtb:
        url: http://storage.staging.lkft.org/mainline/master/v5.4-11180-g76bb8b05960c/arm64/defconfig%2Blkft/gcc-8/dtbs/qcom/apq8016-sbc.dtb
      modules:
        url: http://storage.staging.lkft.org/mainline/master/v5.4-11180-g76bb8b05960c/arm64/defconfig%2Blkft/gcc-8/modules.tar.xz
      rootfs:
        url: http://storage.staging.lkft.org/rootfs/oe-lkft-sumo/dragonboard-410c/62/rpb-console-image-lkft-dragonboard-410c-20190923201628.rootfs.ext4.gz
        apply-overlay: true
    os: oe
- test:
    namespace: tlxc
    timeout:
      minutes: 60
    definitions:
    - from: inline
      name: kir
      path: inline/kir.yaml
      repository:
        metadata:
          description: Squash kernel, dtb and modules into rootfs
          format: Lava-Test Test Definition 1.0
          name: resize-rootfs
        run:
          steps:
          - pwd
          - cd /lava-lxc
          - git clone -b master https://github.com/linaro/kir.git
          - ./kir/lava/board_setup.sh dragonboard-410c
- deploy:
    timeout:
      minutes: 40
    to: fastboot
    namespace: target
    images:
      boot:
        url: lxc:///boot.img
      rootfs:
        url: lxc:///rpb-console-image-lkft.rootfs.img
        apply-overlay: true
    os: oe
    protocols:
      lava-lxc:
      - action: fastboot-deploy
        request: pre-power-command
        timeout:
          minutes: 2
- boot:
    namespace: target
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - root@(.*):[/~]#
    - 'dragonboard-410c:'
    timeout:
      minutes: 15
    method: fastboot
    protocols:
      lava-lxc:
      - action: auto-login-action
        request: pre-os-command
        timeout:
          minutes: 2
- test:
    namespace: target
    timeout:
      minutes: 45
    definitions:
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: quickhit
        SKIPFILE: skipfile-lkft.yaml
        BOARD: dragonboard-410c
        BRANCH: mainline
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: 3
        LTP_TMPDIR: /scratch
      name: ltp-quickhit-tests
